List user's cases
curl --request POST \
--url https://cases.platform.arb.inc/cases/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "2025-08-15T10:30:00.000Z"
}
'import requests
url = "https://cases.platform.arb.inc/cases/list"
payload = { "cursor": "2025-08-15T10:30:00.000Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cursor: '2025-08-15T10:30:00.000Z'})
};
fetch('https://cases.platform.arb.inc/cases/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cases": [
{
"overview": {
"id": "2025-08-00292",
"created": "2025-08-15T10:30:00.000Z",
"updated": "2025-08-15T10:30:00.000Z",
"createdByUserID": "2720f109-0caf-4c62-af22-5d08c853711c",
"createdByOrgID": "2720f109-0caf-4c62-af22-5d08c853711c",
"phaseID": "caseInitiation",
"title": "ARB Case 2025-08-00292",
"claimantName": "John Smith",
"respondentName": "Jane Doe",
"isCaseClosed": false,
"respondentFeePayerID": "2720f109-0caf-4c62-af22-5d08c853711c"
},
"participants": [
{
"created": "2025-08-15T10:30:00.000Z",
"userID": "2720f109-0caf-4c62-af22-5d08c853711c",
"organizationID": "2720f109-0caf-4c62-af22-5d08c853711c",
"firstName": "John",
"lastName": "Smith",
"partyID": "claimant",
"isPrimary": true,
"isObserver": false
}
],
"partyID": "claimant"
}
],
"cursor": "2025-08-15T10:30:00.000Z",
"moreCases": false
}cases
List user's cases
Returns a list of all active and closed cases that the authenticated user is associated with, including participant details and current phase information.
POST
/
cases
/
list
List user's cases
Authorizations
access token
Body
application/json
Pagination cursor for fetching next page
Example:
"2025-08-15T10:30:00.000Z"
⌘I